module.exports = {
  "rules": {
    // Enforce Dangling Commas
    // http://eslint.org/docs/rules/comma-dangle
    "comma-dangle": [2, "always-multiline"],
    // Disallow Assignment in Conditional Statements
    // http://eslint.org/docs/rules/no-cond-assign
    "no-cond-assign": [2, "always"],
    // Disallow Use of console
    // http://eslint.org/docs/rules/no-console
    "no-console": 1,
    // Disallow use of constant expressions in conditions
    // http://eslint.org/docs/rules/no-control-regex
    "no-constant-condition": 2,
    // Disallow Controls Characters in Regular Expressions
    // http://eslint.org/docs/rules/no-control-regex
    "no-control-regex": 2,
    // Disallow debugger
    // http://eslint.org/docs/rules/no-debugger
    "no-debugger": 1,
    // No duplicate arguments
    // http://eslint.org/docs/rules/no-dupe-args
    "no-dupe-args": 2,
    // Disallow Duplicate Keys
    // http://eslint.org/docs/rules/no-dupe-keys
    "no-dupe-keys": 2,
    // Disallow a duplicate case label
    // http://eslint.org/docs/rules/no-duplicate-case
    "no-duplicate-case": 2,
    // Disallow Empty Character Classes
    // http://eslint.org/docs/rules/no-empty-character-class
    "no-empty-character-class": 2,
    // Disallow Empty Block Statements
    // http://eslint.org/docs/rules/no-empty
    "no-empty": 2,
    // Disallow Assignment of the Exception Parameter
    // http://eslint.org/docs/rules/no-ex-assign
    "no-ex-assign": 2,
    // Disallow Extra Boolean Casts
    // http://eslint.org/docs/rules/no-extra-boolean-cast
    "no-extra-boolean-cast": 2,
    // Disallow Extra Semicolons
    // http://eslint.org/docs/rules/no-extra-semi
    "no-extra-semi": 2,
    // Disallow Function Assignment
    // http://eslint.org/docs/rules/no-func-assign
    "no-func-assign": 2,
    // Disallow Declarations in Program or Function Body
    // http://eslint.org/docs/rules/no-inner-declarations
    "no-inner-declarations": 2,
    // Disallow Invalid Regular Expressions
    // http://eslint.org/docs/rules/no-invalid-regexp
    "no-invalid-regexp": 2,
    // Disallow irregular whitespace
    // http://eslint.org/docs/rules/no-irregular-whitespace
    "no-irregular-whitespace": 2,
    // Disallow negated left operand of in operator
    // http://eslint.org/docs/rules/no-negated-in-lhs
    "no-negated-in-lhs": 2,
    // Disallow Global Object Function Calls
    // http://eslint.org/docs/rules/no-obj-calls
    "no-obj-calls": 2,
    // Disallow Multiple Spaces in Regular Expressions
    // http://eslint.org/docs/rules/no-regex-spaces
    "no-regex-spaces": 2,
    // Disallow Sparse Arrays
    // http://eslint.org/docs/rules/no-sparse-arrays
    "no-sparse-arrays": 2,
    // Disallow Unreachable Code
    // http://eslint.org/docs/rules/no-unreachable
    "no-unreachable": 2,
    // Require isNaN()
    // http://eslint.org/docs/rules/use-isnan
    "use-isnan": 2,
    // Ensures that the results of typeof are compared against a valid string
    // http://eslint.org/docs/rules/valid-typeof
    "valid-typeof": 2,
    // Avoid unexpected multiline expressions
    // http://eslint.org/docs/rules/block-scoped-var
    "no-unexpected-multiline": 2,
  },
};
